signon-plugin-password_8.59-2_i386.deb


Advertisement

Description

signon-plugin-password - Single Sign On framework - Plain Password plugin

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename signon-plugin-password_8.59-2_i386.deb
Package name signon-plugin-password
Package version 8.59
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://gitlab.com/accounts-sso/signond
License -
Maintainer Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Download size 23.06 KB
Installed size 78.00 KB
Accounts and SSO (Single Sign-On) framework for Linux and POSIX based
platforms.
Password plugin for Single Sign On.

Alternatives

Package Version Architecture Repository
signon-plugin-password_8.59-2_amd64.deb 8.59 amd64 Debian Main
signon-plugin-password - - -

Requires

Name Value
libc6 >= 2.4
libqt5core5a >= 5.10.0
libsignon-plugins-common1 >= 8.57+20150423
libstdc++6 >= 4.1.1
signond -

Conflicts

Name Value
signon-passwordplugin -

Replaces

Name Value
signon-passwordplugin -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package signon-plugin-password_8.59-2_i386.deb
Source Package signond

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install signon-plugin-password deb package:
    # sudo apt-get install signon-plugin-password

Files

Path
/usr/lib/i386-linux-gnu/signon/libpasswordplugin.so
/usr/share/doc/signon-plugin-password/changelog.Debian.gz
/usr/share/doc/signon-plugin-password/copyright

Changelog

2018-05-07 - Pino Toscano <pino@debian.org>
signond (8.59-2) unstable; urgency=medium
* Team upload.
* Update symbols file from logs of buildds. (Closes: #865797)
* Do not set DPKG_GENSYMBOLS_CHECK_LEVEL=4 in rules, as it is way too strict.
* Bump Standards-Version to 4.1.4, no changes required.
* Update lintian overrides.
* Remove trailing whitespaces in changelog.
* Use https for Format in copyright.
* Do not install README.md, and TODO as documentation in libsignon-qt5-dev:
the former is not useful in that package, and the latter is empty.
* Remove unused libssl-dev, and qtchooser build dependencies.
* Link in as-needed mode.
2016-06-24 - Scott Kitterman <scott@kitterman.com>
signond (8.59-1) unstable; urgency=medium
[ Diane Trout ]
* Update watch file for newest tags.
This is going to be fragile, there are too many
pages of tags, hopefully they'll be consistent now.
* Update Standards-Version to 3.9.8.0. No changes needed.
* Update debian/docs for renamed README.md
* New upstream release.
* Upstream no longer supports Qt4, so stop building Qt4 packages.
* Unit Tests don't work, disable running them for the moment.
* update symbols file
* Remove qt4 library symbols file.
[ Scott Kitterman ]
* Fix FTBFS when building just architecture independent packages by making
the  dh_auto_install override apply only to archicture dependent packages
(Closes: #806107)
[ Maximiliano Curia ]
* Add new patch: drop_qt_tags_tagfiles.diff
2015-10-16 - Diane Trout <diane@debian.org>
signond (8.57+20150423-3) unstable; urgency=medium
* Symbols updates for several architectures.
2015-10-15 - Scott Kitterman <scott@kitterman.com>
signond (8.57+20150423-2) unstable; urgency=medium
* Team upload.
* Fix FTBFS on arch dependent package builds by limiting dh_doxygen to arch
all packages
2015-09-09 - Diane Trout <diane@debian.org>
signond (8.57+20150423-1) unstable; urgency=medium
[ Maximiliano Curia ]
* Prepare Debian release. (8.57+20150423)
* Update copyright information.
[ Diane Trout ]
* Add Built-Using tag for doxygen generated jquery.js
* Override lintian warnings about Doxygen generated jquery.js
* Remove source files generated by qdbusxml2cpp
(src/signond/backupifactor.*)
* Add myself to uploaders.
* Add symbols files for libsignon-extension1, libsignon-plugins-common1,
libsignon-qt1 and libsignon-qt5-1
* Add doc-base registration for signond-doc, libsignon-qt-doc, and
libsignon-plugins-doc,
* use dh_doxygen to cleanup documentation packages.
* Use debian-qt-kde.mk from pkg-kde-tools to provide -Wl,--as-needed
* Remove ${shlib:Depends} from -dev packages as it's never defined.
2015-02-04 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
signon (8.57+15.04.20150204.1-0ubuntu1) vivid; urgency=medium
[ Alberto Mardegan ]
* Enable P2P D-Bus connections (LP: #1415492)
* Add missing build dependency on libdbus-1-dev
2014-11-27 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
signon (8.57+15.04.20141127.1-0ubuntu1) vivid; urgency=low
[ Ubuntu daily release ]
* New rebuild forced
[ Alberto Mardegan ]
* Merge from upstream
2014-10-06 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
signon (8.57+14.10.20141006-0ubuntu1) utopic; urgency=low
[ Alberto Mardegan ]
* Sync from upstream
2014-09-12 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
signon (8.57+14.10.20140912-0ubuntu1) utopic; urgency=low
[ Alberto Mardegan ]
* Fix signon-plugins-dev dependencies
2014-08-27 - Ubuntu daily release <ps-jenkins@lists.canonical.com>
signon (8.57+14.10.20140827-0ubuntu1) utopic; urgency=medium
[ Alberto Mardegan ]
* New upstream release
- Build: add CMake config files for Qt5
- Tests: make database test more robust
- signond: notify clients of credentials updates
- signond: fix passing of DBus maps to plugins
- lib: don't emit a critical warning on p2p socket failure
- lib/plugins: do not build a static library
[ Ubuntu daily release ]
* New rebuild forced

See Also

Package Description
signon-plugin-ssotest_8.59-2_i386.deb Single Sign On framework - Test plugin
signon-plugins-dev_8.59-2_i386.deb Single Sign On framework - plugins development files
signon-ui-service_0.17+15.10.20150810-2_all.deb D-Bus service file for signon-ui
signon-ui-x11_0.17+15.10.20150810-2+b1_i386.deb Single Sign-on UI
signond-dev_8.59-2_i386.deb Single Sign On framework - development files
signond-doc_8.59-2_all.deb Single Sign On framework - documentation for daemon
signond_8.59-2_i386.deb Single Sign On framework
signtos_8.1.0+r23-2_all.deb Android signing tool for signing Trusty images
sigrok-cli_0.7.1-1_i386.deb command-line frontend for the sigrok software
sigrok-firmware-fx2lafw_0.1.6-1_all.deb Firmware for Cypress FX2(LP) based logic analyzers
sigrok_0.2-4_all.deb Logic analyzer and protocol decoder software suite (metapackage)
sigscheme-runtime_0.9.0-1_all.deb Runtime for sigscheme Scheme interpreter
sigscheme_0.9.0-1_i386.deb Scheme Interpreter to be embedded
sigviewer_0.6.2-2_i386.deb GUI viewer for biosignals such as EEG, EMG, and ECG
silan_0.4.0-1+b1_i386.deb commandline tool to detect silence in audio-files
Advertisement
Advertisement